<script>
    var t = jQuery.noConflict();

    t().ready(function () {
        retencion();
        cargar();
        t('#buscar').change(function () {
            var fecha = t('#buscar').val();
            if (fecha !== '') {
                buscar(fecha);
            } else {
                retencion();
            }
        });

    });

    function retencion(data) {
        var url = "http://localhost:3000/test/sw/listaProdTod";       ///test/sw/listaProdLot     
        t.ajax({
            url: url,
            type: 'GET',
            dataType: 'JSON',
            success: function (data, textStatus, jqXHR) {
                cargarTabla(data);
            },

            error: function (jqXHR, textStatus, errorThrown) {
                console.log(jqXHR.responseText);
            }
        });
    }




    function cargarTabla(data) {
        var html = "";
         var retencion = 0;
        t.each(data, function (i, item) {
            html += '<tr>';
            html += '<td>' + (i + 1) + '</td>';
            html += '<td>' + item.numero_retencion + '</td>';
            html += '<td>' + item.clasificacion + '</td>';
            html += '<td>' + item.porsentaje + '</td>';
            html += '<td>' + item.valor_factura + '</td>';
            html += '<td>' + item.valor_retencion + '</td>';
            html += '<td>' + item.fecha_retencion + '</td>';
            html += '<td><button  href="#" data-toggle="modal" data-target="#exampleModal_editar" data-whatever="@mdo" id="' + i + '">editar</button></td>';
            html += '<script>';
            html += '$("#' + i + '").click(function () {';
            html += '$("#external").val("' + item.external_id + '");';
            html += '$("#numero_retencion").val("' + item.numero_retencion + '");';
            html += '$("#porsentaje").val("' + item.porsentaje + '");';
            html += '$("#valor_factura").val("' + item.valor_factura + '");';
            html += '$("#valor_retencion").val("' + item.valor_retencion + '");';
            html += '$("#classificacion").val("' + item.clasificacion + '");';
            html += '$("#fecha_retencion").val("' + item.fecha_retencion + '");';
            html += '});';
            html += '</scrip' + 't>';
       if (item.clasificacion !== 'Diferente') {
                retencion += item.valor_retencion;
            }
        });
        html += '<tr><td></td><td></td><td></td><td><b>TOTAL:</b></td><td><b>$ ' + retencion.toFixed(2) + '</b></td></td><td></tr>';
        html += '</tr>';
        if (data.length === 0) {
            html = 'Nada';
        }
        t("#tabla tbody").html(html);
    }









    function cargar() {
        var url = "http://localhost:3000/test/sw/listaProdTod3";       ///test/sw/listaProdLot     
        t.ajax({
            url: url,
            type: 'GET',
            dataType: 'JSON',
            success: function (data, textStatus, jqXHR) {
                console.log(data + "hola");
                var html = "";
                t.each(data, function (i, item) {
                    html += '<tr>';
                    html += '<td>' + (i + 1) + '</td>';
                    html += '<td>' + item.nombre_cliente + '</td>';
                    html += '</tr>';
                });
                t("#tablae tbody").html(html);
            },

            error: function (jqXHR, textStatus, errorThrown) {
                console.log(jqXHR.responseText);
            }
        });


    }






    function verLotes(id) {
        var url = "http://localhost:3000/test/sw/cantProd/" + id;       ///test/sw/listaProdLot     
        t.ajax({
            url: url,
            type: 'GET',
            dataType: 'JSON',
            success: function (data, textStatus, jqXHR) {
                console.log(data);
                if (data.cantidad != null) {
                    t("#cantP").html(data.cantidad);

                } else {
                    t("#cantP").html("0");

                }

            },
            error: function (jqXHR, textStatus, errorThrown) {
                console.log(jqXHR.responseText);
            }
        });
    }






    function buscar(fecha) {
        var url = "/test/sw/" + fecha;
        t.ajax({
            url: url,
            type: 'GET',
            dataType: 'JSON',
            success: function (data, textStatus, jqXHR) {
                console.log(data.length + "se cargo");
                cargarTabla(data);
            },
            error: function (jqXHR, textStatus, errorThrown) {
                console.log(jqXHR.responseText);
            }
        });
    }




</script>
<header style="margin-bottom: 50px">
    <h2><%= titulo %></h2>
</header>
<div class="box" id="historial" style="position: absolute;
     left: 5%;
     margin-left: -20px;
     top: 50%;
     margin-top: -20px;" >
    <!-- Button trigger modal -->


    <!--buscar-->

    <form>
        <div>
            <input type="date" id="buscar" name="buscar">
            <button>Buscar</button>
        </div>
    </form>

    <!--fin buscar-->







    <!-- Modal -->

    <br>
    <br>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Informacion de Facturas</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <span>La cantidad de facturas para este cliente es: <b><span id="cantP">0</span></b></span>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-primary">Save changes</button>
                </div>
            </div>
        </div>
    </div>
    <div class="row" style="margin-bottom: 55px;">
        <a href="/test/producto/registrar" class="button col-sm-4 alert-success">Nuevo Retención</a>
        <a href="/test/lote/registrar" class="button col-sm-4 alert-success">Nuevo Factura</a>
    </div>
    <div class="row">
        <%- locals.flash %>
        <table id="tabla" class="table">
            <thead>
                <tr>
                    <th>Nro</th><th>Numero Retención</th><th>Clasificacion</th><th>Porsentaje</th><th>Valor Factura</th><th>Valor retención</th><th>Fecha</th><th>Acciones</th>
                </tr>
            </thead>
            <tbody>

            </tbody>
        </table>
    </div>
    <br>
    <br>

    <div class="row">
        <%- locals.flash %>
        <table id="tablae" class="table">
            <thead>
                <tr>
                    <th>Nro</th><th>Nombre Cliente</th>
                </tr>
            </thead>
            <tbody>

            </tbody>
        </table>
    </div>
</div>


<script>
        function printDiv(historial) {
            var contenido = document.getElementById(historial).innerHTML;
            var contenidoOriginal = document.body.innerHTML;

            document.body.innerHTML = contenido;

            window.print();

            document.body.innerHTML = contenidoOriginal;
        }
</script>


<div class="btn-group" style="position: absolute;
     left: 5%;
     margin-left: -20px;
     top: 30%;
     margin-top: -20px;">
    <button type="button" class="btn btn-soundcloud dropdown-toggle" data-toggle="dropdown" aria-expanded="false">Acciones <span class="fa fa-caret-down"></span></button>
    <ul class="dropdown-menu">

        <li>
            <a href="#" onclick="printDiv('historial')" >
                <i class="fa fa-print"></i> Imprimir</a>
        </li>
    </ul>
</div>








<!--inicio de modal Editar-->


<div class="modal fade" id="exampleModal_editar" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="alert alert-success" role="alert"></div>
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Editar Retencion</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form id="formulario_editar" method="POST" action="/test/producto/editar">



                    
                      <div class="form-group">
                        <label for="nombre">Numero Retención</label>
                           <input type="hidden" value="0" id="external" name="external"/>
                        <input type="text" class="form-control" id="numero_retencion" name="numero_retencion" >

                    </div>
                    
               
                    
          

                 <div class="form-group">
                        <label for="cant">Valor Factura</label>
                           <input type="hidden" value="0" id="external" name="external"/>
                        <input type="number" class="form-control" id="valor_factura" name="valor_factura" >

                    </div>
                                       
                   <div class="form-group">
                        <label for="cant">Valor Retención</label>
                        <input type="hidden" value="0" id="external" name="external"/>
                         <input  type="number" class="form-control" id="valor_retencion" name="valor_retencion" aria-describedby="marcaHelp"  readonly >
                      
                    </div>


                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
                        <button type="submit" class="btn btn-primary">Editar</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<!--fin de modal Editar-->

